#pragma once

#include "CoreMinimal.h"
#include "EPlayerRole.h"
#include "EProviderFlag.h"
#include "ReportedPlayerData.generated.h"

USTRUCT(BlueprintType)
struct FReportedPlayerData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FString PlatformAccountId;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FString MirrorsId;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	EPlayerRole PlayerRole;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FString PlayerName;

	UPROPERTY(EditInstanceOnly, Transient)
	EProviderFlag PlayerPlatform;

public:
	DEADBYDAYLIGHT_API FReportedPlayerData();
};

FORCEINLINE uint32 GetTypeHash(const FReportedPlayerData) { return 0; }
